import { Component } from "react";

import "./NoPrizePanel.less";
import { Button } from "@grace/ui";
import { ModalCtrl } from "@/core/ctrls/ModalCtrl.tsx";

export class NoPrizePanel extends Component<any, any> {

    componentDidMount() {
    }

    clickClose = () => {
        ModalCtrl.closeModal();
    }

    render() {

        const {type, md} = this.props;

        return <div className="NoPrizePanel modal_center">
            <div className="bg"/>
            <Button className={`btn md${type == 'red' ? '27' : md || '19'}`} onClick={this.clickClose}/>
            <Button className="close" onClick={this.clickClose}/>
        </div>
    }


}
